Mon Jan 10 2011  Masaki Miyaso  <so-miya@sourceforge.jp>
	* UnNetHack SVN版r683をベースにした。
	  r683 Branch 3.5.3: ChangeLogを更新
	  r684 レベルコンパイラ: 鉱山階層が明るい確率が高すぎるのを修正
	       (SporkHack rev. 806から)
	  r685 create_door()ルーチンを修正(SporkHack rev. 655, 656から)
	  r688 リビジョン番号をサポート
	  r689 Branch 3.5.3：リビジョン番号の更新
	  r691 クエストネメシスにかのベルを渡す処理をハードコーディングか
	       らdesファイルへ (SporkHack rev. 754から)
	  r692 ChangeLogを更新
	* 水難の巻物追加時(r144)に変更された巻物の未識別名の翻訳対応が
	  抜けていたので修正
	* バグ修正 [#23993] anti-matter vortexの和訳ミスを修正

Sun Sep 19 2010  Masaki Miyaso  <so-miya@sourceforge.jp>
	* JUnNetHack-3.5.3-J0.3.0リリース
	* UnNetHack SVN版r671をベースにした。
	  r356 patchlevelを3.5.3にした
	  r357 パッチ：ダンジョンマップ概要3 (Hojita Discordiaより)
	  r358 マップ概要に闇市と道具屋を追加
	  r359 完全に傷んだ防具は破壊するように
	  r360 パッチ：偏執的確認パッチ (variousより)
	  r361 x11とmswinのGUI構成オプションを削除
	  r362 偏執的確認パッチコードの改善
	  r363 闇市：大地の巻物は効果減少
	  r364 ダンジョン分岐の外にジャンプしようとしたときランダムなレベ
	       ルテレポートをする
	  r365 ランダムな扉の設置時のエラーを修正
	  r366 configure修正によるタイルの完全無効化
	  r367 lev_compによる"Invalid monster name"警告の修正
	  r368 パッチ：チュートリアルモード(Alex Smithより)
	  r369 デバッグコードの削除によりチュートリアルメッセージの再表示
	       を修正
	  r370 チュートリアル：UnNetHackの仕様どおりにする変更と少々の書式
	       修正
	  r375 チュートリアル：ダンジョンの構成表示の文章追加
	  r376 いくつかのimpossible()をwarning()に置換
	  r377 床の上にアイテムが複数ある場合反転表示する
	  r378 闇市：闘争を引き起こしているとSamを怒らせる
	  r379 SHOPTYPE：店名で生成可能にする
	  r380 修正: C343-235 プレイヤーが飲み込まれていたり岩盤の中にいた
	       りする時に守りの呪文を唱えると、不適切なメッセージが出る
	  r381 円周率の日に対応
	  r382 守りのAC値が0の場合は「あなたは守られている」と表示しない
	  r383 コンパイラのwarningを減らした
	  r384 回復の指輪装備時に自動識別する
	  r385 巻物：水難の巻物を追加し、記憶喪失の巻物を削除
	  r386 水難の巻物：突然死亡する可能性をなくした
	  r387 パッチ：64bit化修正（Clive Crousより）
	  r388 位置指定時にアイテムに隠れたダンジョン設備を文字指定可能に
	       した
	  r389 #ifdef TOURIST の抜けを修正
	  r390 一括移動：選択を改良 (廊下にあるミミックや設備を再び選択可
	       能に)
	  r391 修正: C343-189 グレムリンの攻撃により失われた寺院への寄付に
	       よる守りと魔法防御は不当に相互作用する
	  r392 関数抽出: drop_boulder_on_player()
	  r393 関数抽出: drop_boulder_on_monster()
	  r394 会話時にプレイヤーに隣接する怪物が一匹のみの場合は自動で方
	       向指定
	  r398 扉に擬態したミミックを選択可能にした
	  r399 露呈したミミックを選択しないglyph_at(x,y)の使用
	  r404 コピーライトの年を更新
	  r405 自発的挑戦の拡張パッチ
	  r407 缶詰店（Slash'emより）
	  r408 修正：複数アイテム反転表示がuse_inverseで抑制されるように
	  r409 楽器店（NetHack Brass RSのを改造）
	  r410 修正：街にて怪物が壁にめり込む場合がある
	  r411 TOURIST無効時にコンパイルできるように修正
	  r412 ペット専門店（Slash'Emより）
	  r413 缶詰店固有の店長名
	  r414 店長名指定ミスでコンパイルできなくなっていた
	  r415 黒いアイテムが正常に反転表示されるように
	  r417 扉が「なかなか開かない」状態にならないように
	  r418 いくつかのオプションの初期値を変更
	  r419 パッチ：#adjustを分離可能に (Sam Dennis と Jukka Lahtinen
	       による)
	  r420 ダンプコードの汎用的な再構築と重複の排除
	  r421 ダンプコードの更なる再構築
	  r422 ダンプコードの再構築：dump_spells() と dump_weapon_skill()
	  r423 ダンプコードの再構築によってゲーム終了時の表示がうまくでき
	       ていなかったので修正
	  r424 HTMLダンプ
	  r425 ダンプ：HTMLによるマップ出力
	  r426 ダンプ：putstr_dump()の削除
	  r427 ダンプ：ダンプ出力書式を指定する新しいconfigureオプション
	  r428 ダンプ：ダンプ関連の関数を独自ファイルに移動
	  r429 ダンプ：HTMLヘッダを改善
	  r430 ダンプ：HTML文字をエスケープ（現状マップのみ）
	  r431 幻覚時のモンスターを追加
	  r432 ダンプ：所持品ダンプにmenucolorsを反映
	  r434 新オプション：pickup_dropped
	  r435 パッチ：pilesizeオプション（Glyn Kenningtonによる）
	  r436 texファイルの修正
	  r437 ページ表示ウィンドウにて最終ページの --More-- を --End--
	       に置き換える
	  r438 店内の売り物の値段を#chatなしに表示
	  r439 ダンジョン概要：忘れていたペット専門店を追加
	  r440 ダンプ：開始終了時間と有効プレイ時間の出力
	  r441 オプション：msg_windowとstandoutの初期値を変更
	  r442 レベルコンパイラ：SporkHack rev.516〜518、526〜528の変更を
	       追加
	       - OBJECT用の数パラメタオプション追加
	       - WALLIFYに領域オプション追加
	  r443 レベルコンパイラ：OBJECT用の数パラメタオプション追加
	       （SporkHack rev.528から）
	  r444 レベルコンパイラ：WALLIFYに領域オプション追加（SporkHack
	       rev.529から）
	  r445 レベルコンパイラ：変更を追加（SporkHack rev.531〜538から）
	       - OBJECTに"buried"(埋葬)パラメタオプション追加
	       - LOOPステートメント追加
	       - bigroom.desにLOOPステートメントを使用
	       - OBJECTに"lit"(点灯)パラメタオプション追加
	       - SWITCHステートメント追加
	       - OBJECTパラメタにさらにオプション追加
	       - MONSTERパラメタにさらにオプション追加
	  r446 レベルコンパイラ：変更を追加（SporkHack rev.539,540,543,
	       544から）
	       - ユーザにダンプさせる低レベル演算子'-d'パラメタを追加
	       - 64bitシステムでも動作するように lev_comp の varargs を
	         修正
	       - 小文字のダンプ演算子は必要な場所に少しの改行を追加する
	  r447 レベルコンパイラ：新しいレベルフラグ"stormy"を追加。
	       → 風の精霊界における稲妻効果（SporkHack rev.545から）
	  r448 レベルコンパイラ：変更を追加（SporkHack rev.546-548,550か
	       ら）
	       - ハードコーディングされていたクエストレベルの怪物生成確率
	         をlev_compに移動
	       - MON_GENERATIONを％確率で使用できるように変更
	       - lev_compのMON_GENERATIONによって不要になったクエストの敵
	         怪物データを削除
	  r449 レベルコンパイラ：新しいレベルフラグ"graveyard"(墓地)を追
	       加。これは以前からハードコーディングされていた（SporkHack
	       rev.551から）
	  r450 レベルコンパイラ：変更を追加（SporkHack rev.552,553,555,
	       556から）
	       - 怪物の所持品を追加
	       - オーケス、アスモデウス、クロイソスおよびペスティレンスの
	         所持品をdesファイルに記述。 怪物はこれらのアイテムを装備
	         状態で生成されます。
	       - SWITCH に DEFAULT の場合を追加
	       - INIT_MAP:solidfill は光状態パラメタオプションを持てるよ
	         うに
	  r451 レベルコンパイラ：新コマンド GRAVE（SporkHack rev.557から）
	  r452 レベルコンパイラ：変更追加（SporkHack rev.559-567から）
	       - 基本サブルーチンの追加
	       - lev_compのコードをいくつかlev_main.c内の関数に移動
	       - レベルフラグ作成とマップ初期化の演算子を作成
	       - バグ修正：MESSAGE文字列の明示的な初期化がなかったので
	         opvar_free()でやるようにした。
	       - 巨大なsp_level_coder()を分割して小分けにした
	       - バグ修正：忘れられていた変数のハードコーディング変更
	       - クエストページ表示での%変数をMESSAGEで使用可能に
	  r453 レベルコンパイラ：レベル仕様としてSOUNDSをdesファイルに定
	       義可能に（SporkHack rev.568から）
	  r454 無変化の魔除けは変化させることができない
	  r455 バグ修正：ダンプファイル名の長さとhtmlダンプファイルのフッ
	       タ処理
	  r456 レベルコンパイラ：変更を追加（SporkHack rev.570〜579から）
	       - opcode定義をenumに変更
	       - 「以下なら遷移」SPO_JLE 演算子が無かったので追加
	       - sp_lev構造体のメモリ配分を動的にした
	       - lev_comp：本物のサブルーチンをここに
	       - lev_comp：関数は同ファイル内でその定義以降の全てのレベル
	         定義で使用可能
	       - lev_comp：関数内でアイテム、怪物、施設の登録がまだ未定義
	         でも可能とする
	       - lev_comp: 他のdesファイルから関数をincludeできる
	  r457 レベルコンパイラ：変更を追加（SporkHack rev.588,590〜592か
	       ら）
	       - ROOM と SUBROOM の部屋の種類のchance はifステートメント用
	         の演算子を生成すべきではない
	       - 聖域生成時にクラッシュしていた不明瞭な64bitバグを修正：
	         intではなくlongを使用
	       - sizeof int != sizeof long の場合を考慮して add_opvars()用
	         に int を long に型変換
	       - yacc の機能を使って current_region および current_coord
	         のハックを除去
	  r458 隠された壁裏の小部屋にたまに鉄格子をつける（SporkHack
	       rev.616から）
	  r459 パッチ：未探索と部屋の暗がりの分離（Clive Crousより）
	  r460 Dark room：Dark roomの有効無効を切り替えるオプション追加
	  r461 #lootの対象が一つだけの場合は開けるかどうかを確認しない
	  r462 新オプション：vanilla_ui_behavior （UI挙動をバニラに）
	  r463 バグ修正：捧げるときの確認で中断したときにクラッシュする問
	       題を修正。その他の確認（食べるときなど）の中断時とは挙動を
	       変更。
	  r464 空白修正（日本語版は変更無し。ソースコードのみ）
	  r466 バグ修正：C343-94 再び動き出した石像を調査するとpanicする。
	                 SC343-8 再び動き出した石像の持つ金貨が多すぎる。
	  r467 反射の盾を魔法アイテムでなくし、少し重くした
	  r470 願いの杖の充填数を変更： 17% 1:0, 66% 1:1, 17% 1:2
	  r471 店で足元のアイテムの金額を表示するとき重なったアイテムでも
	       適正な価格を表示する
	  r472 ダンプ：スキルと呪文をテーブル表示
	  r473 ダンプ：HTMLファイル出力時インラインまたは外部のCSSファイル
	       拡張
	  r474 ダンプ：html dumpが有効でない場合にコンパイルできなかったの
	       を修正
	  r475 ビッグルームにいくつかのろうそくを追加
	  r478 farlookコマンドの概要に粉砕の怪物を追加
	  r480 バグ修正：チュートリアルタイトルを正しく復号
	  r482 SC343-20 拾った店内の金貨が複製された金貨である場合のハング
	       アップに対処
	  r483 dark_roomが無効のとき、倉庫番の全ての床を明るく見せる
	  r485 クエストの開始に必要なレベルを下げた
	  r486 Livelog：プレイヤーの拾った倉庫番の景品をリポートするように
	  r490 倉庫番分岐の深さを一つ減らした
	  r487 新GUIポート：dummy
	  r488 Dummy GUI：dummy_get_ext_cmdとdummy_getcharを実装
	  r491 Dummy GUI：dummy_getchar を行に適応させた
	  r492 Tests：簡単な単体テスト
	  r495 Tests：HACKDIR未設定時に例外を出す
	  r493 Dummy GUI：dummy_getlin、dummy_raw_print、
	       dummy_raw_print_boldの出力を改行で分割
	  r494 Dummy GUI：Makefileに追加
	  r496 Dummy GUI：コンパイル警告の修正
	  r497 Dummy GUI：configure に --enable-dummy-graphics を追加
	  r498 「<竜の名称> dragon scales」を願ったときの処理
	  r499 バグ修正：倉庫番の景品が何者かに拾われて複数になるのを防止
	  r500 新ファイル：ChangeLog
	  r501 ダンプ：HTML出力の呪文をきれいに表示するようにCSSを修正
	  r502 修正：一番上に死体がある複数のアイテムを反転表示
	  r503 新種族：吸血鬼(SLASH'EMから)
	  r505 Configure：LIVELOG_BONES_KILLER用の--enable-livelog-killing
	       オプションが使えなくなっていた
	  r506 ダンプ：ハイスコア一覧の書式を正しく
	  r507 ウィザードモード：空腹レベルを表示
	  r508 吸血鬼は再び空腹になれる
	  r509 倉庫番：最下層での岩を入れる罠を落し穴に修正
	  r510 吸血鬼種族の噛み付き攻撃を有効にした
	  r512 変更履歴：吸血鬼を開始種族として選択可能に (Slash'Emから)
	  r513 アイテムを下敷きにした岩は反転表示しない
	  r515 階層：heck-c-5における通路の接続を修正
	  r516 脆くなった武器を投げたときに確実に崩壊するようにした
	  r517 undiscover_object：発見物一覧にあるべきアイテムが見つからな
	       い場合にさらに情報を表示
	  r518 バグ修正：C343-12「落し穴に入るために'>'が使えない。」
	  r519 器用さの小手＆知性の兜の状態値不正を修正(Alex Smithより)
	  r520 吸血鬼プレイヤーが石化怪物に噛み付いて石化するのを防ぐ
	  r522 Curses GUI：r521をブランチからマージ
	  r523 CURSES_GRAPHICSが未定義時にコンパイルできるように
	  r525 Curses GUI：r524をブランチからマージ：起動時クラッシュ、描画
	       修正、拡張とダイアログ計上の改善
	  r526 修正：失われていた大地の巻物を加え、下り階段を正しく配置
	  r527 ttyグラフィック無効時かつmenucolor有効時のコンパイル修正
	  r530 修正：店主が冒険者の死を目撃したときのメッセージ条件を修正
	  r533 無学者プレイ時は刻んだものを読めない
	  r536 Curses GUI：number_padとpetattrオプション用の修正
	  r537 修正：飛翔怪物はトゲだらけの落し穴にも入れる
	  r546 --enable-dump-file=FILE のデフォルト値を修正
	  r547 Ctrl-eで自動的に"Elbereth"を書く
	  r548 Curses GUIブランチのr546までをtrunkにマージ
	  r549 二重に刻んだときのメッセージを修正
	  r550 追加された倉庫番レベル最上階の巨大なミミックが消えていた
	  r551 チュートリアル: アイテムクラス用Iコマンドのチェックがなかっ
	       たので追加
	  r552 チュートリアル: アイテム選択用のチェックがなかったので追加
	  r555 Curses GUIブランチのr554までをtrunkにマージ
	  r557 クラッシュ修正：eshk->bill_p を正しく初期化
	  r558 Curses GUIブランチのr557までをtrunkにマージ
	  r559 Curses GUI：マップ再描画時に画面を完全消去 (karlosより)
	  r561 武器を持たない吸血鬼が危険な怪物に噛み付くのを防ぐ
	  r562 新しい拡張コマンド #screenshot：現在のマップのHTMLスクリー
	       ンショット
	  r563 Curses GUI：hilite_petの初期値は下線よりも反転が良い
	  r564 ダンプ：#screenshot ファイル名のベースをダンプファイル名に
	  r565 新怪物：巨大亀（視界を遮る） (SporkHackから)
	  r566 ビッグルームに巨大亀をいくつか追加した
	  r569 record_achieve_specialに独自の領域を与えた
	  r572 分岐から運命の大迷宮へのレベルテレポートを許した
	  r573 分岐レベルを超えたテレポートを試したときのメッセージを改良
	  r574 修正：マジックベーンは怪物の所持アイテムまで無力化すべきで
	       はない
	  r578 魔法のランプを願ったり変化で出るようにした
	  r581 Livelog：さらに情報を出力
	  r582 Livelog：currenttime
	  r583 Livelog：start/resume時のlivelogの書式を変更
	  r584 ワームのコードの警告類を有効化
	  r585 UI：体力グラフ表示
	  r586 修正：落し穴の中でのAutodig
	  r587 不必要なwarning呼び出しを削除
	  r588 修正：getpos()で暗い部屋タイルを選択できるように
	  r589 Livelog：livelogを分類する"type"を追加
	  r590 Livelog：経験レベルと経験値をログ出力
	  r591 statuscolorsのコンパイル修正
	  r592 片目のサムの性別を正しく変更
	  r593 Livelog：階層のproto名を出力
	  r594 Curses GUIブランチのr580までをtrunkにマージ
	  r595 Livelog：livelog_game_startedとlivelog_game_actionに"type"
	       属性を追加
	  r596 Livelog：虐殺をレポート
	  r597 ダンプファイルに死亡時のタイムスタンプを設定
	  r598 Livelog：livelog無効時のコンパイル修正
	  r599 DUMP_LOG無効時のコンパイル修正とdump_html_css_file()に関す
	       るwaningの抑制
	  r600 rne()の結果が高いものになる確率をやや上げた
	  r601 プレイヤーに二刀流が何故許容されないかを表示
	  r602 (吸血鬼の変身で)二刀流を再び有効化するための応急措置
	  r605,r606 幻覚状態のときの怪物をさらに
	  r607 Livelog：店長のエントリを分離
	  r608 ダンプ：虐殺と絶滅一覧をHTML化
	  r609 命の魔除けは自己虐殺が現在の階層に限定されているときは働く
	  r610 ナナメからドアの自動開放
	  r611 ダンプ：iso8601形式の書式によるプレイ時間
	  r612 errno.h を include した
	  r613 毒による突然死をなくし、代わりに HP と最大HP が減るようにし
	       た (SporkHack rev. 136,137 から)
	  r614 毒によって死んだときの墓石のメッセージを訂正
	  r615 大地の巻物の攻撃が飲み込み怪物に当たるように
	  r616 configureの説明を更新してnethackをunnethackに置換
	  r617 以前に見た明るい床のタイルを盲目時に探したときの表示の修正
	  r618 魔法のアイテムを願ったかを追跡
	  r619 修正：盲目時に倉庫番の景品を識別させる
	  r620 自発的挑戦：Elberethを追跡 (Ray Kulhanekより)
	  r621 Elberethの自発的挑戦の状態を常に表示
	  r622 Elbereth追跡のコードを修正
	  r623 穴/トラップドアからプレイヤーがどのくらいの距離を落ちたかを
	       表示
	  r624 c89互換でないコメントを削除
	  r625 新オプション：paranoid_trap
	  r626 r625の文法を修正
	  r627 ChangeLogにparanoid_trapを追加
	  r628 レベルコンパイラ：変更を追加（SporkHack rev.635から）
	       - RANDOM_CORRIDORS オプションパラメタを取るように
	  r629 レベルコンパイラ：変更を追加（SporkHack rev.640〜642から）
	       - 新しい部屋の種類として水溜り部屋を追加
	       - 新しい desファイルの WALLWALKコマンドを追加
	       - ダンジョンに分離部屋を時折生成する
	       - 死体のある鉄棒付きのくぼみ
	  r630 r629でコミット失敗ファイルをコミット
	  r631 レベルコンパイラ：変更を追加（SporkHack rev.644, 646から）
	       - 裏に空間がある場合は時折壁を鉄棒に換える
	       - 鉄棒に変更される壁の数を減らした
	  r632 レベルコンパイラ：lev_comp での DOOR生成を改良した。
	       "secret"指定でドア状態を変更、MAPにてドアが全くで定義されて
	       いない場所にドア生成を許可（SporkHack rev.648から）
	  r633 レベルコンパイラ：永続REGIONにroom-styleコマンドを含められ
	       るように（SporkHack rev.653から）
	  r634 レベルコンパイラ：wizmodeコマンドに部屋番号と共有境界を表示
	       する#roomsを追加
	  r635 レベルコンパイラ：desファイルでのCONTAINER内の条件を修正
	       （SporkHack rev.657から）
	  r636 clear_level_structures()の初期化を訂正と未使用変数の削除
	  r637 レベルコンパイラ：変更を追加（SporkHack rev.658〜660から）
	       - オブジェクトコンテナ内に全レベルのステートメントを許可
	       - Tiny yaccコード装飾
	       - Another tiny yaccコード装飾
	  r638 レベルコンパイラ：変更を追加（SporkHack rev.664, 665から）
	       - ほとんどの地形変更コマンドに光状態オプションを作成
	       - ゲヘナと鉱山の死体OBJECTから必要のないspeフィールド定義を
	         削除
	       - 4つあるメデューサ階のペルセウスが性未決定なのを2つを除い
	         て修正
	  r639 レベルコンパイラ：変更を追加（SporkHack rev.666, 667から）
	       - 変数の開始
	       - "$foo = $bar"を許可
	  r640 光状態を修正
	  r641 レベルコンパイラ：メジャーアップデート、異なる型の変数と配
	       列変数。たとえば配列をシャッフルする新しいコマンドを追加
	       （SporkHack rev.669から）
	  r642 レベルコンパイラ：変更を追加（SporkHack rev.670, 671から）
	       - WALLWALKの条件解釈を修正
	       - マップ文字変数を許可
	       - マップ文字の位置を含む変数を受け入れるWALLWALKを作成
	       - OBJECTとMONSTERの配列変数のバグを修正
	  r643 レベルコンパイラ：ENGRAVINGは刻む文章として変数を許容する
	       （SporkHack rev.675から）
	  r644 レベルコンパイラ：OBJECT書式を変更し、アイテム種別に変数を
	       許可（SporkHack rev.678から）
	  r645 レベルコンパイラ：MONSTER書式を変更し、怪物種別に変数を許可
	       （SporkHack rev.679から）
	  r646 レベルコンパイラ：変更を追加（SporkHack rev.680〜685から）
	       - 怪物名が見つかれば大文字小文字は気にしない
	       - エラーメッセージを改良
	       - 未使用だった部屋のチャンスと部屋名を削除
	       - 未使用だったルールを削除
	       - RANDLINE は行末として変数を許容する
	       - RANDOM_OBJECTS、RANDOM_PLACES、RANDOM_MONSTERSを削除。変
	         数が同等の処理を行う
	  r647 レベルコンパイラ：3〜4つの小部屋を連結した角の十字の壁を除
	       去した場合の小部屋の壁のバグを修正。(SporkHack rev. 686から)
	  r648 レベルコンパイラ：変更を追加 (SporkHack, rev. 687〜699から)
	       - 複製コードを単一の関数に移動
	       - 変数エラーを改良
	       - "align:random"を使って怪物の属性をランダムに
	       - 不要なINITLEVEL演算子を生成しない
	       - エラーメッセージの小さな改良
	       - 特殊レベルコードにおける変数の二重解放を修正
	       - MONSTERの拡張情報フィールドのいくつかを変数指定可能に
	       - OBJECTの拡張情報フィールドのいくつかを変数指定可能に
	       - WALLIFYの境界パラメタに変数を使用可能に
	       - 異なる変数型としｔれlongintをいくつかのマクロに追加
	       - REPLACE_TERRAIN境界とfrom_terrain用に変数を使用可能に
	       - 整数演算
	       - OBJECT拡張情報に"erodeproof"を追加
	       - 冗長指定時、怪物種が大文字小文字を無視するだけで合う場合
	         に警告する
	  r649 レベルコンパイラ：変更を追加（SporkHack rev.701〜706から）
	       - 乱数整数値を生成するd面ダイスを追加
	       - ファイル内の全レベル定義での同じエラーを報告しない
	       - オブジェクト名の大文字小文字違いを見つけても無視するが、
	         verbose設定中は完全マッチしないと警告する
	       - 簡単な整数と変数比較を追加
	       - 比較演算子の割合を逆にするのを忘れていた
	       - MAPCHARにtype変数と光源状態を含んだパラメタを許可
	  r650 レベルコンパイラ：変更を追加（SporkHack rev.707〜710から）
	       - TERRAIN用の変数を許可
	       - 構文解析に変数名型チェックを移動し、TERRAINのバグを修正
	       - オプションの割合部分のバグを修正
	       - 魔法使いの塔を少しだけ手を出した
	       - 文字列と文字列変数の結合
	  r651 レベルコンパイラ：変更を追加（SporkHack rev.711〜713、715、
	       716、718から）
	       - 一つ以上の階層の初期化コマンド
	       - 保障付きランダムアイテム
	       - 仕様付きでOBJECTを生成する場合、重ねられないアイテムでも
	         量を指定できる
	       - メモリリークをいくらか修正
	       - GRAVE、GOLD、NON_DIGGABLEおよびNON_PASSWALL コマンドに変
	         数を許可
	       - テストコードの削除
	       - RANDLINE地形用変数を許可
	  r652 レベルコンパイラ：変更を追加（SporkHack rev.720、722、724、
	       731、737〜739、742から）
	       - ランダム座標要求時に不確定領域を扱うget_location()を作成
	       - desファイルを修正：怪物/アイテム/罠の数を適切な制限内でラ
	         ンダム化
	       - 私達が追加したとき、私達が比較する不可避な要求を修正
	       - TERRAINの"selections"を追加し、RANDLINEを削除
	       - selectionに変数を許可
	       - 新しいselection要素としてfloodfill(x、y)とランダム座標か
	         ら選択する手段を追加。 selection要素としてcirclesと
	         ellipsesを追加
	       - DOOR座標にselectionを許可
	       - 新しい selection 要素 "filter"
	  r653 レベルコンパイラ：ランダム生成する鉱山階層を反転しない
	       （SporkHack, rev. 752から）
	  r654 レベルコンパイラ：変更を追加（SporkHack rev.762、765、771、
	       774、779、780、785、791から）
	       - 分離部屋のバグ群をいくらか修正
	       - 修行僧と僧侶のクエストの魔法の扉が明確な場所に生成される
	         ようにした
	       - FOUNTAIN、SINKおよびPOOLにselectionによる座標指定を許可。
	         ビッグルームを修正
	       - 流し台、泉、水溜り生成時にクラッシュするバグを修正 (spovar
	         をnull解放しようとしていた)
	       - 地図記号"transparent"を扱えるように
	       - 地図記号"invisible"を扱えるように
	       - 固定地図部品を除外して階層を反転しないように
	       - 光るべきではないのに光る壁を持つランダム生成鉱山タイプ階
	         層を修正
	       - 存在しない(かもしれない)怪物にアイテムを持たせようとした
	         ときメッセージを出さない
	  r655 レベルコンパイラ：罠が階段や梯子を上書きしないように
	       （SporkHack rev.792から）
	  r656 ハイスコアで折り返せない単語の場合の処理がいい加減だった
	  r657 バグ修正：C343-252 モンテ・クリスト伯からの引用文のtypo
	  r658 ハイスコアで折り返せない単語で飲み込みキャラクターを修正
	  r659 Tests：アイテムに呼び名や固有名を付けるとき用のテストを追加
	  r660 最初に呼び名を付けてから二度目に未識別アイテムに巨大文字列
	       で固有名を付けるとクラッシュするのを修正
	  r661 修正：命名して聖器を生成するときに大文字小文字を区別しない
	  r662 不適当に名付けられたアイテムを漬けたときのクラッシュを修正
	  r663 重複していた魔除けの未確定名の削除
	  r664 ChnageLogを更新
	  r665 ボーパルジャバウォックは現在存在するため、タイルマップを合
	       わせた
	  r666 Unix用Makefileを更新
	  r667 autoconf構築でない場合用にWHEREIS_FILEを設定しないように
	  r668 Unix用Makefileにconfigureスクリプトの使い方を記載
	  r670 MAIL用のifdefの抜けを修正
	  r671 ダンプ：preはhtmlの中だけに出力する
	* 起動時の職業名が翻訳されなくなっていたのを修正
	* ダンプ関係で終了時のトップテン表示がおかしくなっていたので修正
	* 日本語ダンプファイル名の対処
	* Makefileの修正等
	* lensesの訳語を「レンズ」から「眼鏡」に変更
	* leashの訳語を「紐」から「革ひも」に変更
	* rope golemの訳語を「紐のゴーレム」から「ロープのゴーレム」に変更
	* jtrnsobjにおいてシンボルを適正化(防具:[, 岩:`, 毒:.)
	* その他翻訳修正

Sun Dec 6 2009  Masaki Miyaso  <so-miya@sourceforge.jp>
	* JUnNetHack-3.5.2-J0.2.1リリース
	* UnNetHack 3.5.2をベースにした。
	  r208 スキルレベルを増やした。
	  r209 patchlevelを3.5.2にした。
	  r210 修正：投げられたアイテムがキャッチされたとき投擲bitがクリア
	       されていなかった。
	  r211 heckレベルの乱数修正
	  r212 Configure：より信頼できるlexとyaccを探すようにした。
	  r213 ドラゴンの子供も親と同様にシャッフル
	  r217 メソッド抽出：beautiful()
	  r218 cofigureを更新
	  r219 逆属性の兜用の別名を追加。
	  r220 吸血と吸血鬼の噛み付き攻撃パッチ（Slash'Emより）。
	  r221 真の吸血鬼と吸血怪物の区別。
	  r222 血液と吸血鬼の血液を追加（Slash'Emより）。
	  r223 吸血鬼の血液を無力化すると血液に変化する。
	  r224 吸血鬼の血液を飲んだときの効果。
	  r225 カメラを壊すと写真描画の悪魔が解放される。
	  r226 軽量化の鞄にそれ自身を入れようとすると愉快なメッセージ。
	  r227 バグ修正：溶岩に沈んでいる間、時間がゆがむ。
	  r228 初回メッセージ内の創造神の名称をランダムにした。
	  r229 配列長にSIZEマクロを使うように修正
	  r230 玉座由来の虐殺はダンジョン全域にわたる。
	  r231 創造神の名前群を追加。
	  r232 プタハは魔法使いの秩序の神であるため創造神からをはずして交
	       換した。
	  r233 u.ubirthdayに基づいて創造神の名称を決定するようにした。
	  r234 Townの階段の位置を候補からランダムに選択するようにした。
	  r238 薬に浸すときの単体テスト
	  r239 dodipを分割して新関数dipを作成（testing_frameworkからマー
	       ジ）
	  r240 色錬金術ブランチを作成
	  r241 パッチ：薬の色によって錬金術
	  r242 色錬金術：色の再入替と血のように赤い薬を浸したときの修正
	  r243 色錬金術：フルーツジュースと血液を混ぜると血液ができるよう
	       にした。
	  r244 色錬金術：黄土色と茶色を交換した。
	  r245 色錬金術：錬金術の爆発ダメージは酸の耐性でやわらぐ
	  r246 色錬金術：錬金術で酸の薬は必ず爆発するようにした
	  r247 色錬金術：パッチ：リトマス試験紙パッチ
	  r248 色錬金術をマージ
	  r249 パッチ：無効化能力パッチ
	  r250 パッチ：オプションqwertz_layout
	  r251 パッチ：トリックの鞄拡張パッチ
	  r252 イェンダーの魔除けは落とすと常に瞬間移動しうる。
	  r253 新しい床の落書き
	  r254 幻覚時の怪物の追加
	  r255 パッチ：おまけの占いクッキー
	  r256 幻覚時の薬の色等に使われる基本味覚名に足りていなかった
	       “旨み”を追加。
	  r257 スイスの店長名を変更した。
	  r258 ドラゴンとその鱗を名称変更した。
	  r259 鎧を認識している場合のみ竜の鱗鎧を正しく願える。
	  r260 バグ修正：達成度記録で倉庫番達成を記録する条件が反射の魔除
	       けか軽量化の鞄に限定されてしまっていたので、全ての贈り物で
	       有効になるようにした。
	  r262 新オプション：showdmg（Wizardモードのみ）
	  r263 ヴォーパルブレード：+1d8 追加ダメージ
	  r264 トロルスベーン：空腹の伴わない再生能力
	  r265 バグ修正：C343-55 "Ulch" メッセージにおいて、文頭の大文字化
	       に矛盾が生じている。
	  r266 バグ修正：侍のクエストガーディアンの会話において、「浪人」
	       と言うべき所で「忍者」と言っている箇所がある。
	  r267 バグ修正：C343-116 金貨をのどに詰まらせた時のメッセージで、
	       文法がおかしい箇所がある。
	  r268 バグ修正：C343-211 水中で文字を書いた時のメッセージが不十分。
	  r269 パッチ：油っぽい死体パッチ
	  r270 滑りやすい死体のための表示する言葉の改良
	  r271 Wizardモード死亡時に危険な怪物を生成する。
	  r272 livelog：骨ファイル内の元プレイヤーの死因をレポートする。
	  r273 複数ターン行動不能時に体力値や魔力値が全回復した場合メッ
	       セージを出す。
	  r274 虐殺の巻物を読んで階層上の全怪物を殺戮可能とした。
	  r275 幻覚中に魔法のフルートを使ったときに愉快なメッセージ。
	  r276 パッチ：Whereis（実行中のゲームについての情報のログを出力す
	       る（SporkHack、NAOおよびAirmack's Slash'Emから））
	  r277 ダンプログ：マップダンプのあとに直前のメッセージを移動。
	  r278 重なっている呪われた武器を装備中、そのアイテムを分離しない。
	  r279 バグ修正：whereisファイル名に使うプレイヤー名を小文字化しない。
	  r280 panic時にmonsndxからの情報を詳しくする。
	  r281 属性の振る舞いをヴァニラのものに戻す。
	  r282 吸血鬼ヴラドの塔のお宝を減らす。
	  r283 クトゥルフに死の杖を与えないことにした。この手の杖はこの段階ま
	       でくるようなプレイヤーにはほとんど効かない。
	  r285 Configure: uidによるハイスコアを比較するオプション。
	  r286 回避策：マップを縦に反転したとき、魔法使いの部屋に入る手段がな
	       くならないように魔法使いの塔の南側の壁に隠し扉を作成しないよう
	       にした。
	  r288 バグ修正：テレパシーの魔除けが正常に動作するように修正
	  r289 Livelog：窃盗の成功をリポートするようにした
	  r290 Livelog：窃盗エントリーとコメントの書式を変更した
	  r291 バグ修正：殺した前の冒険者の称号を実際に持つ怪物のみリポートする
	  r292 Livelog：ユニークモンスターに殺されたことをリポートする
	  r299 骨ファイル：いくつかのアイテムをランダムに削除する
	  r300 Patric Mueller氏の故猫シヴァへ捧ぐ
	  r301 アルミ箔の帽子をHelmet_on及びHelmet_offに追加し忘れていた
	  r302 paniclogで出力する情報を増やした
	  r303 impossible()の単語をよりよいものに (SporkHackから)
	  r304 祝福された水晶球の失敗率を増やした
	  r305 最終試練における大地の巻き物のフィードバック
	  r306 desファイル書式：新しいレベルフラグを3つ追加：noflip、noflipxお
	       よびnoflipy。これでレベル設計者はレベルが反転しないように指定で
	       きる。(SporkHack rev 463から)
	  r307 階段を使って谷から昇ってくるときにプレイヤーの位置を決定する部
	       分がハードコーディングになっているのを排除した。これによって城
	       レベルを反転処理することができ、プレイヤーは正しい側に登ってく
	       ることができる。(SporkHack rev 465から)
	  r308 レベルコンパイラ：SporkHack rev. 466〜475、477から変更を適用
	  r309 レベルコンパイラ：SporkHack rev. 478,479,481,482,484-489,491,
	       494,495,497,498,504から変更を適用
	  r310 レベルコンパイラ：CONTAINERにおいて内容物を"{}"で囲む
	       （SporkHack, rev. 505,509から）
	  r311 レベルコンパイラ：lev_comp作成で詳細メッセージモード
	  r312 コンパイラの警告をなだめた
	  r313 シーフベーン：骨ファイルには残らないようにした
	  r314 闇市：シーフベーンはサムが装備すべき
	  r315 闇市：サムが闇市から離れたときすぐにアシスタントを呼ぶ
	  r316 シーフベーン：ベースアイテムを両手剣に変更
	  r317 シーフベーン：首切り攻撃を有効にした。首切りまたは生命力吸収能
	       力のある武器を装備した怪物の攻撃が有効となるようにした。
	  r318 闇市：闇市の主生成時にシーフベーンを持たなくなっていたので修正
	  r319 闇市：闇市の主は他の怪物より聖器を装備しやすい
	  r320 怪物：粉砕の怪物の出現率を調整
	  r321 rn2に0以下を指定したときのクラッシュを防ぐようにした
	  r322 怪物：反物質の渦の出現率を調整
	  r323 バグ修正：鉱山街-1の上り階段の部屋が未定義だった
	  r324 ウィザードモードにてマップ上の現在位置を表示する
	  r325 バグ修正：死の谷から到達したときプレイヤーが石の中に閉じ込めら
	       れないようにした
	  r326 バグ修正：倉庫番最上階で拾った死体が巨大蟻の死体に変化してしま
	       う問題を修正
	  r328 パニックメッセージ「obj not free」に情報追加
	  r329 魔法のランプによる願いの成功率をバニラの値に戻した (r32をリバー
	       トした)
	  r330 簡単にゲームを認識するために全livelogメッセージに開始日時を追加
	  r331 バグ修正：倉庫番最上階で拾った缶が巨大蟻の缶に変化してしまう問
	       題を修正
	  r334 能力獲得の薬は3回だけ上昇させる能力を探す。祝福された薬はさらに
	       努力して能力をひとつだけ上げる。
	  r335 パッチ：修行僧の最初と最後の挨拶を定義 (Haakon Studebakerより)
	  r336 聖域にて2本の衝撃の杖の配置位置をランダムにした
	  r337 幻覚時の怪物を追加
	  r338 UI: ショートカットキーによるgetpos選択の改良
	  r339 幻覚時の怪物を追加
	  r340 闇市：サムは遠すぎるところに瞬間移動しない
	  r341 Livelog：ゲームの開始、復帰、保存、パニックをリポートする
	  r342 README.configureを追加
	  r345 いくつかのimpossible()を新関数warning()に入れ替えた
	  r346 熊の罠がある条件を満たす怪物に対して睡眠ガスの罠のように動作し
	       てしまう
	  r347 振動する床：プレイヤーが近いときのメッセージ
	  r348 パッチ：為す術もない死因 (Pasi Kallinenより)
	  r349 乗り手：乗り手が視界内で視認可能な場合のみ真の名を表示する
	  r350 盲目時にイェンダーの魔除けが瞬間移動したときのメッセージ
	  r352 さまよう目の配色を明るい緑に変更
	  r354 Windowsコンソール時のCLR_BLACK対応色の修正
	* バグ修正 [#18365] 扉を鍵開け器具で開けようとすると落ちる。
	* バグ修正 [#18372] 指輪の未識別名が一部未訳
	* バグ修正 [#18413] 施錠しようとすると落ちる
	* バグ修正 [JNetHack #17806] 3.4.3-0.10でのメッセージ不具合
	* バグ修正 [JNetHack #18460] jcmdhelpの操作説明
	* バグ修正 [JNetHack #18464] 怪物が超回復の薬を飲んだ際のメッセージ不
	  具合
	* 薬の未識別名「脂の薬」を「脂っぽい薬」に変更。
	* borland c++でコンパイル時にconfig.hを修正する必要がないように修正。
	* 設定ファイルのmenucolorの設定値を日本語版に即したものに
	* disintegrator(粉砕の怪物)とfire dragon scales(火竜の鱗)が英語で表示
	  されてしまう不具合を修正。
	* 翻訳追加修正。

Sat Aug 22 2009  Masaki Miyaso  <so-miya@sourceforge.jp>
	* JUnNetHack-3.5.1-J0.1.0リリース
	* JNetHack-3.4.3-0.10をUnNetHack-3.5.1に適用
	* autoconfでコンパイルできるように修正。ただし、jdata.hは文字
	  化けするため、bccのものを使用。
	* Makefile.bccでコンパイルできるように修正。
	* 翻訳追加修正。各所の訳において、JSporkHack、FHS Patch、
	  JSLASH'EMを参考にしました。
	* 句読点を「．，」から「。、」に統一しました。
